#menu-moda-e-acessorios,
#menu-eletronicos-e-gadgets,
#menu-decoracao-e-cozinha,
#menu-desporto-e-bem-estar,
#menu-bebes-e-crianca,
#menu-vinhos {
    display: none;
    opacity: 0;
    visibility: hidden;
}

#menu-moda-e-acessorios.active,
#menu-eletronicos-e-gadgets.active,
#menu-decoracao-e-cozinha.active,
#menu-desporto-e-bem-estar.active,
#menu-bebes-e-crianca.active,
#menu-vinhos.active {
    opacity: 1;
    visibility: visible;
    display: block;
    position: relative;
}

.menu-moda-e-acessorios,
.menu-eletronicos-e-gadgets,
.menu-decoracao-e-cozinha,
.menu-desporto-e-bem-estar,
.menu-bebes-e-crianca,
.menu-vinhos {
    transition: opacity 0.3s ease, visibility 0.3s ease;
    position: relative;
    cursor:pointer;
}

.menu-moda-e-acessorios:before,
.menu-eletronicos-e-gadgets:before,
.menu-decoracao-e-cozinha:before,
.menu-desporto-e-bem-estar:before,
.menu-bebes-e-crianca:before,
.menu-vinhos:before {
    position: absolute;
    visibility: hidden;
    left: 0;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background-color: #191919;
    content: "";
    transform: scaleX(0);
    transition: transform 0.5s ease-in-out, visibility 0.5s ease-in-out;
    opacity: 0.85;
}

.menu-moda-e-acessorios:hover:before,
.menu-eletronicos-e-gadgets:hover:before,
.menu-decoracao-e-cozinha:hover:before,
.menu-desporto-e-bem-estar:hover:before,
.menu-bebes-e-crianca:hover:before,
.menu-vinhos:hover:before {
    visibility: visible;
    transform: scaleX(1);
}

.menu-moda-e-acessorios.active:before,
.menu-eletronicos-e-gadgets.active:before,
.menu-decoracao-e-cozinha.active:before,
.menu-desporto-e-bem-estar.active:before,
.menu-bebes-e-crianca.active:before,
.menu-vinhos.active:before {
    transform: scaleX(1);
    visibility: visible;
    width: 100%; /* Garantir que a largura da barra seja 100% */
}

.woocommerce-error::before, .woocommerce-info::before, .woocommerce-message::before {
    font-family: WooCommerce !important;
    content: '\e028';
    display: inline-block;
    position: absolute;
    top: 1em;
    left: 1.5em;
}

@media only screen and (max-width : 767px){

nav.woocommerce-MyAccount-navigation {
        padding-bottom: 50px;
}
}

input:focus, input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="reset"]:focus, input[type="search"]:focus, input[type="number"]:focus, textarea:focus, .wp-block-search__input:focus, [data-section="section-header-mobile-trigger"] .ast-button-wrap .ast-mobile-menu-trigger-minimal:focus, .ast-mobile-popup-drawer.active .menu-toggle-close:focus, .woocommerce-ordering select.orderby:focus, #ast-scroll-top:focus, #coupon_code:focus, .woocommerce-page #comment:focus, .woocommerce #reviews #respond input#submit:focus, .woocommerce .button.single_add_to_cart_button:focus, .woocommerce .woocommerce-cart-form button:focus, .woocommerce .woocommerce-cart-form__cart-item .quantity .qty:focus, .woocommerce .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus, .woocommerce #order_comments:focus, .woocommerce #place_order:focus, .woocommerce .woocommerce-address-fields .woocommerce-address-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus, .woocommerce .woocommerce-MyAccount-content form button:focus, .woocommerce .woocommerce-MyAccount-content .woocommerce-EditAccountForm .woocommerce-form-row .woocommerce-Input.input-text:focus, .woocommerce .ast-woocommerce-container .woocommerce-pagination ul.page-numbers li a:focus, body #content .woocommerce form .form-row .select2-container--default .select2-selection--single:focus, #ast-coupon-code:focus, .woocommerce.woocommerce-js .quantity input[type=number]:focus, .woocommerce-js .woocommerce-mini-cart-item .quantity input[type=number]:focus, .woocommerce p#ast-coupon-trigger:focus {
    border-style: double !important;
    border-color: inherit !important;
    border-width: thin !important;
}

.search-filter-input-checkbox input[type=checkbox].search-filter-input-checkbox__input:focus+.search-filter-input-checkbox__container .search-filter-input-checkbox__control>svg {
    outline: 0px dotted #666 !important;
}


input:focus
textarea:focus,
select:focus,
button:focus,
a:focus,
label:focus,
fieldset:focus
{
    outline: none !important;
    box-shadow: none !important;
}

.search-filter-input-checkbox__container:focus,
.search-filter-input-checkbox__container:focus-within,
.search-filter-input-checkbox__control:focus,
.search-filter-input-checkbox__control:focus-within,
.search-filter-input-checkbox__control svg:focus,
.search-filter-input-checkbox__container svg:focus,
input[type="checkbox"]:focus,
input[type="checkbox"]:focus-visible,
input[type="checkbox"]:focus-within {
    outline: none !important;
    box-shadow: none !important;
}

.icones-header .woocommerce-Price-amount.amount {
    font-size: 22px !important;
}

.icones-header .elementor-menu-cart__product-name.product-name {
    display: flex !important;
    align-items: end !important;
}

.icones-header .product-thumbnail {
    padding:10px !important;
    border:1px solid #19191925;
    border-radius: 10px;
    display: flex;
    align-items: center !important;
    justify-content: center !important;
    object-fit: cover !important;
}

.filter-pesquisa .search-filter-input-text.search-filter-input-text.search-filter-field__input {
    display: flex !important;
    flex-direction: row-reverse !important;
    padding: 3px 15px;
    background-color: #191919 !important;
    border-radius: 0px !important;
}

.filter-pesquisa .search-filter-input-text__input,
.filter-pesquisa .search-filter-input-text__input::placeholder{
    font-weight: 300 !important;
    font-family: "Poppins", Sans-serif !important;
    font-size: 16px !important;
    line-height: 1.2em !important;
}

.filter-pesquisa .search-filter-icon {
    position: relative;
    width: 30px;
    height: 30px;
    background-image: url('/wp-content/uploads/2025/02/00_icone1_pesquisa.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.filter-pesquisa .search-filter-icon__svg,
.filter-pesquisa .search-filter-icon.search-filter-icon--interactive.search-filter-icon--destructive.search-filter-input-text__clear-button{
    display: none !important;
}

.filter-pesquisa input:focus, .filter-pesquisa input[type="text"]:focus{
    border-style: hidden !important;
    border-color: inherit !important;
    border-width: thin !important;

}

.elementor-menu-cart__product-remove:after, .elementor-menu-cart__product-remove:before {
    left: 24% !important;
}

/* --- WPML --- */

.wpml-ls-legacy-dropdown-click a,
.wpml-ls-legacy-dropdown-click a:hover{
    color: #191919!important;     
 
}

.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle:after{
	border-right: 3px solid #191919;
	border-bottom: 3px solid #191919;
}

.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle {
    position: relative;
    padding-right: calc(10px + 1.2em) !important;
}

.wpml-ls-legacy-dropdown-click,
.wpml-ls-legacy-dropdown-click{
    width:auto;
}

.wpml-ls-legacy-dropdown-click .wpml-ls-sub-menu {
    border-top: 1px solid #191919 !important;
}

.wpml-ls-legacy-dropdown-click a,
.wpml-ls-legacy-dropdown-click a{
    color: #191919!important;
    font-size:20px;
    font:normal 400 20px / 24px "Poppins", Helvetica, Arial, Verdana, sans-serif;
    border: none;
    background-color: transparent!important;
    padding: 5px 30px 5px 0px;
}

.wpml-ls-legacy-dropdown-click a:hover,
.wpml-ls-legacy-dropdown-click a:hover{
    background-color: transparent;
    color: #191919;    
}
.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle:after, .wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle:after {
    content: '';
    display: block;
    margin-left: 10px;
    border-right: 1px solid #191919;
    border-bottom: 1px solid #191919;
    border-left: 0;
    border-top: 0;
    width: 10px;
    height: 10px;
    transition: 1s;
    margin-top: 0;
}
.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle::after,
.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle::after{
    transform: rotate(45deg);
    transition: 1s;
    margin-top: -2px;
}

/* --- Fim WPML --- */

/* --- Yay Currence --- */

.yay-currency-custom-select__trigger.medium {
    background: none;
    border: none;
    font:normal 400 20px / 24px "Poppins", Helvetica, Arial, sans-serif;
    color: #191919;
    font-family: 'Poppins';
    font-weight: 400;
}

.yay-currency-custom-arrow::before,
.yay-currency-custom-arrow::after{
    background-color: #191919 !important;
}

.yay-currency-custom-select.open .yay-currency-custom-select__trigger,
ul.yay-currency-custom-options,
.yay-currency-custom-select__trigger:hover {
    border: none !important;
}

.yay-currency-custom-option-row {
    color: #191919 !important;
}

.yay-currency-custom-option-row.selected {
    color: #ffffff !important;
    background-color: #191919 !important;
}

.yay-currency-custom-arrow::before, .yay-currency-custom-arrow::after {
    content: "";
    position: absolute;
    bottom: 0px !important;
    width: 1px !important;
    height: 10px !important;
    transition: all 0.2s !important;
}

.yay-currency-custom-arrow::after {
    left: 5px !important;
}

.open .yay-currency-custom-arrow::after{
    transform: rotate(45deg) !important;
}

.open .yay-currency-custom-arrow::before{
    transform: rotate(-45deg) !important;
}

.yay-currency-custom-arrow {
    position: relative !important;
    margin: 0px 15px !important;
    height: 8px !important;
    width: 8px !important;
    padding-top: 12px !important;

}

.yay-currency-custom-loader {
    animation: spin 1s linear infinite;
    border: 2px solid #f3f3f3;
    border-top: 2px solid #191919 !important;
    border-radius: 50%;
    display: none;
    margin-right: 4px;
    width: 14px;
    height: 14px;
}



/* --- Fim Yay Currence --- */



/* --- Header Mobile --- */

.header-menu-mobile .elementor-477 .elementor-element.elementor-element-c5ecb26 .elementor-nav-menu--dropdown a.highlighted{
    color:#fff !important;
}

.header-menu-mobile .elementor-nav-menu .sub-arrow .e-font-icon-svg.fa-svg-chevron-down {
    height: 15px !important;
    width: 15px !important;
}

.header-menu-mobile span.sub-arrow {
    width: 30px !important;
    height: 45px !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    padding: 10px !important;
    background-image: url(/wp-content/uploads/2025/02/arrow-products.svg) !important;
    background-position: center;
    background-size: 15px !important;
    background-repeat: no-repeat !important;
}

.header-menu-mobile svg.fa-svg-chevron-down.e-font-icon-svg.e-fas-chevron-down {
    display: none;
}


@media only screen and (min-width : 1025px){
    
.header-menu-mobile,
.header-mobile{
    display:none;
    
}
}

@media only screen and (max-width : 1024px){
 
.header-menu-desktop,
.header-desktop{
    display:none;
}

.header-menu-mobile .menu-item-type-taxonomy {
    margin-left: -10px !important;
}

.header-menu-mobile .elementor-menu-toggle {
    padding: 0 !important;
}

span.wpml-ls-native {
    font-size: 14px;
}

.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle {
    position: relative;
    padding-right: calc(10px + 1.1em);
}

.wpml-ls-legacy-dropdown-click a, .wpml-ls-legacy-dropdown-click a {
    color: #191919 !important;
    font-size: 20px;
    font: normal 400 20px / 24px "Poppins", Helvetica, Arial, Verdana, sans-serif;
    border: none;
    background-color: transparent !important;
    padding: 0px 30px 3px 0px;
}

.yay-currency-custom-select__trigger.medium {
    background: none;
    border: none;
    font: normal 400 14px / 24px "Poppins", Helvetica, Arial, sans-serif;
    color: #191919;
    font-family: 'Poppins';
    font-weight: 400;
}

span.wpml-ls-display {
    font-size: 14px;
}

.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle::after, .wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle::after {
    transform: rotate(45deg);
    transition: 1s;
    margin-top: -5px;
}

.woocommerce-MyAccount-content {
        margin-top: 30px;
}


}